Endpoints - Purge Content
Hiermee verwijdert u een inhoud uit CDN.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cdn/profiles/{profileName}/endpoints/{endpointName}/purge?api-version=2025-04-15
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
Naam van het eindpunt onder het profiel dat wereldwijd uniek is. |
|
profile
|
path | True |
string |
Naam van het CDN-profiel dat uniek is binnen de resourcegroep. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Vereist | Type | Description |
|---|---|---|---|
| contentPaths | True |
string[] |
Het pad naar de inhoud die moet worden opgeschoond. Kan een bestandspad of een map met jokertekens beschrijven. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. De aanvraag is voltooid. |
|
| 202 Accepted |
Geaccepteerd en de bewerking wordt asynchroon voltooid. Kopteksten location: string |
|
| Other Status Codes |
CDN-foutreactie waarin wordt beschreven waarom de bewerking is mislukt. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Endpoints_PurgeContent
Voorbeeldaanvraag
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/RG/providers/Microsoft.Cdn/profiles/profile1/endpoints/endpoint1/purge?api-version=2025-04-15
{
"contentPaths": [
"/folder1"
]
}
Voorbeeldrespons
azure-asyncoperation: https://management.azure.com/subscriptions/subid/resourcegroups/resourceGroupName/providers/Microsoft.Cdn/operationresults/operationId?api-version=2025-04-15
Definities
| Name | Description |
|---|---|
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Purge |
Vereiste parameters voor het opschonen van inhoud. |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
PurgeParameters
Vereiste parameters voor het opschonen van inhoud.
| Name | Type | Description |
|---|---|---|
| contentPaths |
string[] |
Het pad naar de inhoud die moet worden opgeschoond. Kan een bestandspad of een map met jokertekens beschrijven. |